path: /build/build/websocket-client-dev-python-0.48.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/websocket-client -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/websocket-client
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/websocket-client && luet-portage --dir
    /pkgdir/websocket-client dev-python/websocket-client && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: websocket-client
    version: 0.48.0
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: WebSocket client for python with hybi13 support
    uri:
    - https://github.com/websocket-client/websocket-client
    license: LGPL-2.1
    buildtimestamp: 2023-09-26 17:58:30.172539712 +0000 UTC m=+98.132095331
    labels:
      BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        test? ( dev-python/six[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        python_targets_python2_7? ( dev-python/backports-ssl-match-hostname[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]
        ) )
      IUSE: examples test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
      RDEPEND: dev-python/six[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        python_targets_python2_7? ( dev-python/backports-ssl-match-hostname[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]
        ) python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/websocket-client
      kit: python-modules-kit
      original.package.name: dev-python/websocket-client
      original.package.slot: "0"
      original.package.version: 0.48.0
    treedir: /build/packages
  package_dir: /pkgdir/websocket-client
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7b55e547fb212fb2b481f7c5ad62f81468a1371f8ab6d191ab2f77052c817335
compressiontype: zstd
files:
- usr/bin/wsdump.py
- usr/lib/python-exec/python3.9/wsdump.py
- usr/lib/python3.9/site-packages/websocket/__init__.py
- usr/lib/python3.9/site-packages/websocket/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_abnf.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_abnf.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_abnf.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_app.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_app.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_app.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_cookiejar.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_cookiejar.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_cookiejar.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_core.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_core.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_core.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_handshake.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_handshake.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_handshake.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_http.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_http.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_http.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_logging.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_logging.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_logging.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_socket.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_socket.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_socket.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_ssl_compat.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_ssl_compat.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_ssl_compat.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_url.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_url.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_url.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_utils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_utils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/__pycache__/_utils.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/_abnf.py
- usr/lib/python3.9/site-packages/websocket/_app.py
- usr/lib/python3.9/site-packages/websocket/_cookiejar.py
- usr/lib/python3.9/site-packages/websocket/_core.py
- usr/lib/python3.9/site-packages/websocket/_exceptions.py
- usr/lib/python3.9/site-packages/websocket/_handshake.py
- usr/lib/python3.9/site-packages/websocket/_http.py
- usr/lib/python3.9/site-packages/websocket/_logging.py
- usr/lib/python3.9/site-packages/websocket/_socket.py
- usr/lib/python3.9/site-packages/websocket/_ssl_compat.py
- usr/lib/python3.9/site-packages/websocket/_url.py
- usr/lib/python3.9/site-packages/websocket/_utils.py
- usr/lib/python3.9/site-packages/websocket/tests/__init__.py
- usr/lib/python3.9/site-packages/websocket/tests/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/tests/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/tests/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/tests/__pycache__/test_cookiejar.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/tests/__pycache__/test_cookiejar.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/tests/__pycache__/test_cookiejar.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/tests/__pycache__/test_websocket.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/websocket/tests/__pycache__/test_websocket.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/websocket/tests/__pycache__/test_websocket.cpython-39.pyc
- usr/lib/python3.9/site-packages/websocket/tests/data/header01.txt
- usr/lib/python3.9/site-packages/websocket/tests/data/header02.txt
- usr/lib/python3.9/site-packages/websocket/tests/test_cookiejar.py
- usr/lib/python3.9/site-packages/websocket/tests/test_websocket.py
- usr/lib/python3.9/site-packages/websocket_client-0.48.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/websocket_client-0.48.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/websocket_client-0.48.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/websocket_client-0.48.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/websocket_client-0.48.0-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/websocket_client-0.48.0-py3.9.egg-info/top_level.txt
- usr/share/doc/websocket-client-0.48.0/ChangeLog.bz2
- usr/share/doc/websocket-client-0.48.0/README.rst.bz2
- var/db/pkg/dev-python/websocket-client-0.48.0/BDEPEND
- var/db/pkg/dev-python/websocket-client-0.48.0/BUILD_TIME
- var/db/pkg/dev-python/websocket-client-0.48.0/CATEGORY
- var/db/pkg/dev-python/websocket-client-0.48.0/CBUILD
- var/db/pkg/dev-python/websocket-client-0.48.0/CFLAGS
- var/db/pkg/dev-python/websocket-client-0.48.0/CHOST
- var/db/pkg/dev-python/websocket-client-0.48.0/CONTENTS
- var/db/pkg/dev-python/websocket-client-0.48.0/COUNTER
- var/db/pkg/dev-python/websocket-client-0.48.0/CXXFLAGS
- var/db/pkg/dev-python/websocket-client-0.48.0/DEFINED_PHASES
- var/db/pkg/dev-python/websocket-client-0.48.0/DEPEND
- var/db/pkg/dev-python/websocket-client-0.48.0/DESCRIPTION
- var/db/pkg/dev-python/websocket-client-0.48.0/EAPI
- var/db/pkg/dev-python/websocket-client-0.48.0/FEATURES
- var/db/pkg/dev-python/websocket-client-0.48.0/HOMEPAGE
- var/db/pkg/dev-python/websocket-client-0.48.0/INHERITED
- var/db/pkg/dev-python/websocket-client-0.48.0/IUSE
- var/db/pkg/dev-python/websocket-client-0.48.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/websocket-client-0.48.0/KEYWORDS
- var/db/pkg/dev-python/websocket-client-0.48.0/LDFLAGS
- var/db/pkg/dev-python/websocket-client-0.48.0/LICENSE
- var/db/pkg/dev-python/websocket-client-0.48.0/PF
- var/db/pkg/dev-python/websocket-client-0.48.0/RDEPEND
- var/db/pkg/dev-python/websocket-client-0.48.0/SIZE
- var/db/pkg/dev-python/websocket-client-0.48.0/SLOT
- var/db/pkg/dev-python/websocket-client-0.48.0/USE
- var/db/pkg/dev-python/websocket-client-0.48.0/environment.bz2
- var/db/pkg/dev-python/websocket-client-0.48.0/repository
- var/db/pkg/dev-python/websocket-client-0.48.0/websocket-client-0.48.0.ebuild
package_cacheimage: ""
runtime:
  name: websocket-client
  version: 0.48.0
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: six
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: WebSocket client for python with hybi13 support
  uri:
  - https://github.com/websocket-client/websocket-client
  license: LGPL-2.1
  labels:
    BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      test? ( dev-python/six[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      python_targets_python2_7? ( dev-python/backports-ssl-match-hostname[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]
      ) )
    IUSE: examples test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
    RDEPEND: dev-python/six[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      python_targets_python2_7? ( dev-python/backports-ssl-match-hostname[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]
      ) python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/websocket-client
    kit: python-modules-kit
    original.package.name: dev-python/websocket-client
    original.package.slot: "0"
    original.package.version: 0.48.0
